Check requestability of many groups
curl --request POST \
--url https://api.opal.dev/v1/groups/requestable/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"ids": [
"4baf8423-db0a-4037-a4cf-f79c60cb67a5",
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
]
}
'import requests
url = "https://api.opal.dev/v1/groups/requestable/check"
payload = {
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"ids": ["4baf8423-db0a-4037-a4cf-f79c60cb67a5", "1b978423-db0a-4037-a4cf-f79c60cb67b3"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '29827fb8-f2dd-4e80-9576-28e31e9934ac',
ids: ['4baf8423-db0a-4037-a4cf-f79c60cb67a5', '1b978423-db0a-4037-a4cf-f79c60cb67b3']
})
};
fetch('https://api.opal.dev/v1/groups/requestable/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/groups/requestable/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '29827fb8-f2dd-4e80-9576-28e31e9934ac',
'ids' => [
'4baf8423-db0a-4037-a4cf-f79c60cb67a5',
'1b978423-db0a-4037-a4cf-f79c60cb67b3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/groups/requestable/check"
payload := strings.NewReader("{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opal.dev/v1/groups/requestable/check")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/groups/requestable/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"results": [
{
"id": "4baf8423-db0a-4037-a4cf-f79c60cb67a5",
"requestable": true,
"reason": "REQUESTABLE",
"access_levels": [
{
"access_level_remote_id": "read",
"access_level_name": "Read",
"requestable": true
}
]
},
{
"id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"requestable": false,
"reason": "NOT_FOUND"
}
]
}Check requestability of many groups
Checks whether a user can request each of up to 100 groups, with the same evaluation and
permission rule as GET /groups/{group_id}/requestable/users/{user_id}. Duplicate IDs are
dropped and results keep the order of first appearance. A group that does not exist in your
organization (or, on a self-check without CHECK_REQUESTABILITY, that you cannot read) is
returned with requestable: false and reason NOT_FOUND. This is a read-only evaluation:
read-only API tokens may call it even though the method is POST.
POST
/
groups
/
requestable
/
check
Check requestability of many groups
curl --request POST \
--url https://api.opal.dev/v1/groups/requestable/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"ids": [
"4baf8423-db0a-4037-a4cf-f79c60cb67a5",
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
]
}
'import requests
url = "https://api.opal.dev/v1/groups/requestable/check"
payload = {
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"ids": ["4baf8423-db0a-4037-a4cf-f79c60cb67a5", "1b978423-db0a-4037-a4cf-f79c60cb67b3"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '29827fb8-f2dd-4e80-9576-28e31e9934ac',
ids: ['4baf8423-db0a-4037-a4cf-f79c60cb67a5', '1b978423-db0a-4037-a4cf-f79c60cb67b3']
})
};
fetch('https://api.opal.dev/v1/groups/requestable/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opal.dev/v1/groups/requestable/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '29827fb8-f2dd-4e80-9576-28e31e9934ac',
'ids' => [
'4baf8423-db0a-4037-a4cf-f79c60cb67a5',
'1b978423-db0a-4037-a4cf-f79c60cb67b3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opal.dev/v1/groups/requestable/check"
payload := strings.NewReader("{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opal.dev/v1/groups/requestable/check")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opal.dev/v1/groups/requestable/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"29827fb8-f2dd-4e80-9576-28e31e9934ac\",\n \"ids\": [\n \"4baf8423-db0a-4037-a4cf-f79c60cb67a5\",\n \"1b978423-db0a-4037-a4cf-f79c60cb67b3\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"results": [
{
"id": "4baf8423-db0a-4037-a4cf-f79c60cb67a5",
"requestable": true,
"reason": "REQUESTABLE",
"access_levels": [
{
"access_level_remote_id": "read",
"access_level_name": "Read",
"requestable": true
}
]
},
{
"id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"requestable": false,
"reason": "NOT_FOUND"
}
]
}Authorizations
Body
application/json
The user and assets to check.
Was this page helpful?